[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ForceDirectories

Create a chain of directories

## Declaration

Source position: diskh.inc line 22

`function ForceDirectories(`
`const Dir: string`
`):Boolean;`

## Description

ForceDirectories tries to create any missing directories in Dir till the whole path in Dir exists. It returns True if Dir already existed or was created succesfully. If it failed to create any of the parts, False is returned.

Documentation generated on: Feb 26 2014